
Redmine - Defect #12045

Reordering of Enumerations broken

2012-10-09 12:02 - Jakes vdM

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

New installation on Ubuntu 12.04 LTS 64-bit - current stable all-round

Environment:

Redmine version                          2.1.2.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

Created new Enumerations for Activities (time tracking), OK, but when I try to reorder any items I get a 404 (

https://jobs/enumerations/10?enumeration%5Bmove_to%5D=highest):

The page you were trying to access doesn't exist or has been removed.

Think that's all information required - please let me know if anything else is needed

History

#1 - 2012-10-09 19:12 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works fine for me:

[19:11:56,751] POST http://localhost:3000/enumerations/9?enumeration%5Bmove_to%5D=highest [HTTP/1.1 302 Found 

 156ms]

#2 - 2012-10-09 20:23 - Jakes vdM

Thanks for looking into this.

I'm new to RedMine & have little to no experience/knowledge with Ruby/RoR.

How can I go about debugging this issue & providing additional information?

#3 - 2012-10-09 20:27 - Jakes vdM

- Status changed from New to Resolved

UPDATE: hmmmm :/ seems OK now from a different client machine - nothing has changed server-side overnight.

I'll tentatively mark this closed & revisit the issue if it crops up again.

Thanks for the help

#4 - 2012-10-09 21:29 - Jean-Philippe Lang

Make sure that javascript is enabled, it won't work if it's not.

#5 - 2012-10-10 09:26 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
